LibreOffice V7 Documentation Databases

asked 2021-04-12 13:27:41 +0200

PRJones gravatar image

updated 2021-04-12 18:01:04 +0200

I'm working through the excellent LibreOffice Base Documentation PDF (Which is based on v6.4), and I have opened up the database 'Media_with_macros.odb' in LibreOffice v7.1 (having enabled macros), and get the attached error when I try and open any of the forms:

C:\fakepath\error.PNG

Is there something else I need to enable?

Will the documentation be updated for V7 (The other documentation seems to have been updated) - I do fully appreciate the huge amount of work that goes into this type of thing. Do have roles for people who want to offer to proof read draft documentation? I would be happy to help.

Thanks

(inline picture display fixed by ajlittoz)

(Edited by PRJones 12/04/2121 - 17:00 BST to explain that error shows when opening Reader Amissions)

edit retag flag offensive close merge delete

Comments

You get that error when doing what (I can open without any problems)?

Opaque gravatar imageOpaque ( 2021-04-12 13:49:17 +0200 )edit

I just downloaded the zip of examples, unzipped it and opened it in a fresh installation of LibreOffice 7.1 (Windows 10). All I have done is change the security level to medium. The error pops up when I open the database, then try and open any of the forms.

PRJones gravatar imagePRJones ( 2021-04-12 13:54:03 +0200 )edit

... all forms open on my system which is a openSUSE Leap 15.2 GNU/Linux system and using LibreOffice

Version: 7.1.2.2 / LibreOffice Community
Build ID: 8a45595d069ef5570103caea1b71cc9d82b2aae4
CPU threads: 8; OS: Linux 5.3; UI render: default; VCL: kf5
Locale: en-US (en_US.UTF-8); UI: en-US, Calc: threaded
Opaque gravatar imageOpaque ( 2021-04-12 13:58:23 +0200 )edit

Thanks, could anyone using the Windows build test please? Cheers. I'm using the 64Bit Build of LibreOffice 7.1.2.2 with JRE version "1.8.0_281"

I have also in the main LO Launcher been to Tools - Options - Advanced and checked that 'Use JRE' in ticked and the above version is showing.

PRJones gravatar imagePRJones ( 2021-04-12 15:21:54 +0200 )edit

No problem using

Version: 7.1.2.2 (x64) / LibreOffice Community
Build ID: 8a45595d069ef5570103caea1b71cc9d82b2aae4
CPU threads: 1; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: en-US (en_DE); UI: en-US, Calc: threaded

(using AdoptOpenJDK's JRE 11.0.9.101 - hotspot)

Opaque gravatar imageOpaque ( 2021-04-12 16:21:41 +0200 )edit

Thanks @Opaque, but it really needs someone running Sun JRE rather than the Opensource alterative. I appreciate you testing though.

PRJones gravatar imagePRJones ( 2021-04-12 16:34:17 +0200 )edit

Sun JRE

There is no such thing (SUN Microsystems has been acquired by Oracle in 2010) and the license from Oracle has changed to prohibit commercial use for free, so I won't install that.

And btw.: To figure out, whether your installed JRE version is causing the issue, you could install another JRE as well.

Opaque gravatar imageOpaque ( 2021-04-12 17:03:16 +0200 )edit

Thanks, sorry meant Oracle - Was trying to make the point about to test it needs to be the same software installed. Will wait if someone else comes back with Oracle JRE otherwise may spin up a temporary W10 VM on VMWare and test with openjdk - Don't want to install alongside JRE. I tend to be a pragmatist when it comes to software. Opensource is preferred, but won't let it be the over-riding factor. I use MS Office for my business activities because I need 100% compatibility with MSOffice, but at home (where these things are not important) I use a mix of proprietary and opensource, so giving Base a go. Best wishes

PRJones gravatar imagePRJones ( 2021-04-12 17:25:32 +0200 )edit

Hello,

Have confirmed problem in the sample noted. It is not, however, whenever opening any form. Have gotten the error on the Reader_Admission form when scrolling through the records. This error occurs in both the Win10 and Ubuntu 20 versions. Haven't looked into the cause. Could be other problems but did not spend a lot of time with it.

I do not believe these samples are tested very often. Have also found errors in the Base documentation. The documentation and samples, like myself, are not by any means perfect.

Ratslinger gravatar imageRatslinger ( 2021-04-12 17:43:53 +0200 )edit

Thanks @Ratslinger. My findings are slightly different to yours. It is as soon as I open Reader_Amissions. Its been sometime since I last tried LibreOffice and remember feeling that Base was the module that got the least love (no evidence for that, just a feeling). Is it worth me filing a bug report? I appreciate you confirming the issue. @Opaque - Apologies I should have confirmed which forms.

Also, on the Media form if you click on 'Publisher' you get 'A scripting error has occurred'

To be honest, if the foundation are trying to encourage people to move away from Office its not a great advert as many beginners would jump ship at the first error.

PRJones gravatar imagePRJones ( 2021-04-12 17:51:11 +0200 )edit